Bug 520521 - crash after "write changes to disk"
Summary: crash after "write changes to disk"
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
Assignee: Joel Andres Granados
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: anaconda_trace_hash:d99b482968c6127b3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-31 21:59 UTC by Niels Haase
Modified: 2009-09-17 12:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 12:45:00 UTC


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (214.41 KB, text/plain)
2009-08-31 21:59 UTC, Niels Haase
no flags Details

Description Niels Haase 2009-08-31 21:59:21 UTC
The following was filed automatically by anaconda:
anaconda 12.17 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.6/site-packages/parted/partition.py", line 127, in name
    return self.__partition.get_name()
  File "/usr/lib64/python2.6/site-packages/parted/decorators.py", line 30, in localeC
    ret = fn(*args, **kwds)
  File "<string>", line 2, in name
  File "/usr/lib64/python2.6/site-packages/parted/partition.py", line 81, in __str__
    name = self.name
  File "/usr/lib/anaconda/iutil.py", line 801, in log_method_call
    log.debug(fmt % tuple(fmt_args))
  File "/usr/lib/anaconda/storage/devices.py", line 1085, in unsetFlag
    part=self.partedPartition)
  File "/usr/lib/anaconda/storage/deviceaction.py", line 313, in execute
    self._device.unsetFlag(self.origFormat.partedFlag)
  File "/usr/lib/anaconda/storage/devicetree.py", line 706, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 230, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 117, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 204, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 127, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1201, in nextClicked
    self.anaconda.dispatch.gotoNext()
PartedException: Assertion (part->disk != NULL) at disk.c:1320 in function ped_partition_get_name() failed.

Comment 1 Niels Haase 2009-08-31 21:59:31 UTC
Created attachment 359325 [details]
Attached traceback automatically from anaconda.

Comment 2 Niels Haase 2009-08-31 22:12:30 UTC
Try to install a new rawhide release on a already installed harddrive. 
Because this should not be a update, but a fresh install. I choose "use entire drive" and mark "review and modify partitioning layout" After the partition layout screen appear, I reduce the size of the lv_swap volume to 1 of the size of ram (1024MB) and reassign the newly free page to lv_root volume. After "OK" and "write changes to disk" the above error occurred.

But if I try the same steps again, the error don't occur again, therefore I can't reproduce it! I know, this is a f***king behaviour, so please feel free to close this bug with "WORKSFORME" or "CANTFIX" without the impact of a flame war if you like :)

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Chris Lumens 2009-09-01 13:42:14 UTC
Don't feel too bad - a lot of these partitioning bugs depend heavily on what was previously on your disks.  If you're trying to reproduce it, you'll probably have to try to reset the disks to whatever they used to be.  That's what makes solving these things so hard.

Comment 4 Joel Andres Granados 2009-09-02 12:52:05 UTC
It be interesting if you could describe as thouroughly as possible what you used to have on your Hard Drive.  Maybe in that way I can reproduce.  If not, I think this should be closed insufficient data.


Note You need to log in before you can comment on or make changes to this bug.